Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.design
Class JRDesignCrosstabDataset

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseElementDataset
          net.sf.jasperreports.engine.design.JRDesignElementDataset
              net.sf.jasperreports.crosstabs.design.JRDesignCrosstabDataset

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCrosstabDataset, JRChangeEventsSupport, JRCloneable, JRElementDataset

    public class JRDesignCrosstabDataset

extends JRDesignElementDataset
implements JRCrosstabDataset

Input crosstab dataset implementation to be used at design time.

Version:
  $Id: JRDesignCrosstabDataset.java 3941 2010-08-20 10:55:10Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected boolean` | `dataPreSorted`
`static java.lang.String` | `PROPERTY_DATA_PRE_SORTED`

Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset
`PROPERTY_DATASET_RUN, PROPERTY_INCREMENT_GROUP, PROPERTY_INCREMENT_TYPE, PROPERTY_INCREMENT_WHEN_EXPRESSION, PROPERTY_RESET_GROUP, PROPERTY_RESET_TYPE`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset
`datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

Constructor Summary
`JRDesignCrosstabDataset()` Creates a crosstab dataset.

Method Summary
`void` | `collectExpressions(JRExpressionCollector collector)`
`boolean` | `isDataPreSorted()` Returns whether the crosstab data is pre-sorted according to the crosstab's groups.
`void` | `setDataPreSorted(boolean dataPreSorted)` Sets the presorted flag for the dataset.

Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset
`getEventSupport, setDatasetRun, setIncrementGroup, setIncrementType, setIncrementType, setIncrementWhenExpression, setResetGroup, setResetType, setResetType`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset
`clone, getDatasetRun, getIncrementGroup, getIncrementType, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetType, getResetTypeValue`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset
`getDatasetRun, getIncrementGroup, getIncrementType, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetType, getResetTypeValue`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### PROPERTY_DATA_PRE_SORTED

    public static final java.lang.String PROPERTY_DATA_PRE_SORTED

See Also:
  Constant Field Values

### dataPreSorted

    protected boolean dataPreSorted

Constructor Detail

### JRDesignCrosstabDataset

    public JRDesignCrosstabDataset()

  Creates a crosstab dataset.

Method Detail

### collectExpressions

    public void collectExpressions(JRExpressionCollector collector)

  Specified by:
    `collectExpressions` in interface `JRElementDataset`

### isDataPreSorted

    public boolean isDataPreSorted()

  Description copied from interface: `JRCrosstabDataset`
  Returns whether the crosstab data is pre-sorted according to the crosstab's groups.

  The crosstab calculation engine can optimize the calculations if the data is sorted by the row groups and column groups. For example, if there are two row groups R1 and R2 (subgroup of R1) and three column groups C1, C2 and C3 the data should be sorted by R1, R2, C1, C2, C3.

  Specified by:
    `isDataPreSorted` in interface `JRCrosstabDataset`
  Returns:
    whether the crosstab data is pre-sorted

### setDataPreSorted

    public void setDataPreSorted(boolean dataPreSorted)

  Sets the presorted flag for the dataset.

  Parameters:
    `dataPreSorted` - whether the input data is presorted
  See Also:
    `JRCrosstabDataset.isDataPreSorted()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com